QGIS Application - Bug report #18739
QGIS Server: GML invalid, loss of data
2018-04-17 03:42 PM - Giovanni Manghi

Status: Closed
Priority: High
Assignee:

Category: QGIS Server

Affected QGIS version:2.18.24
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: end of life

Copied to github as #: 26626

Description

In this service

http://www.naturalgis.pt/cgi-bin/opendata/qqgis _mapserv.fcgi?service=WFS&#38;request=GetCapabilities

there is a layer with 5.6 million points.

After having loaded it in QGIS, saving it locally (tested GPKG) results in a layer missing a lot of data.

Saving it using OGR

ogr2ogr -progress -f 'GPKG' ine_addresses_qgis_server.gpkg

WEFS:"http://www.naturalgis.pt/cgi-bin/opendata/qgis_mapserv.fcgi?service=WFS&request=GetCapabilities" ine_inspire_portugal

at some point throws an error that could be an indication of the source of the problem:

ERROR 1: XML parsing of GML file failed : no element found at line 126434366, column 2

Doing the same operation on a service based on Mapserver (and using the very same datasource) results in complete data/no errors:

ogr2ogr -progress -f 'GPKG' ine_addresses_mapserver.gpkg WFS:"http://www.naturalgis.pt/cgi-bin/opendata/mapserv?"

portugal_addresses

Tested on QGIS 2.14 and 2.18

History

#1 - 2018-11-14 06:21 PM - Giovanni Manghi
- Affected QGIS version changed from 2.18.17 to 2.18.24

#2 - 2018-11-15 10:37 AM - René-Luc ReLuc

Does this issue still remain in 2.18.25 ?

#3 - 2018-11-15 11:24 AM - Giovanni Manghi

as far as | can see... yes.

#4 - 2019-01-21 12:35 AM - Jiirgen Fischer
- Status changed from Open to Feedback
http://www.naturalgis.pt/cgi-bin/opendata/qgis_mapserv.fcgi?service=WFS&#38;request=GetCapabilities

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#5 - 2019-03-09 03:10 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
